import "Gillothrin.Items.BaseFunc";
import "Gillothrin.Items.GUI";

ItemStat = class( Turbine.UI.Control );
function ItemStat:Constructor(item,name,textWidth)
	Turbine.UI.Control.Constructor(self);
	if(item ~= nil) then				
		self.item = item;
		local quantity = item:GetQuantity();
		local bbg = Turbine.UI.Color(rgb(7),rgb(32),rgb(71));
		local numslot = Turbine.UI.Color(rgb(2),rgb(44),rgb(112));
		local charWidthInPixels = 7;
		local width = 0;
		if(textWidth == -1) then
			width = string.len(quantity)*charWidthInPixels;
		else
			width = textWidth*charWidthInPixels;
		end
		
		local bgHeight = 18;
		local imgWidth = 15;
		local leftPadding = 1;
		local textStart = imgWidth+3*leftPadding;
		local fgHeight = 16;
		local topPadding = 1;
		
		self:SetSize(width+leftPadding+textStart,bgHeight);
		self:SetBackColor( bbg );
		
		local itemText = VLabel(quantity,textStart,topPadding,width,fgHeight);
		itemText:SetParent(self);
		itemText:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		itemText:SetBackColor( numslot );				
		self.itemText = itemText;
		
		local itemImage = CImage(item:GetSmallImage(),leftPadding,topPadding,imgWidth,fgHeight,name);
		itemImage:SetParent(self);
		self.itemImage = itemImage;
		AddCallback(itemImage,"MouseEnter",self.WindowPopUp);
		
		local this = self;
		self.ItemQuantityChanged = function(s,a)
			local originalText = this.itemText:GetText();
			local newText = this.item:GetQuantity();
			if(string.len(originalText) ~= string.len(newText)) then
				_G.eventWalletChange(this,this.item);
			else
				this.itemText:SetText(newText);
			end			
		end
		AddCallback(self.item,"QuantityChanged",self.ItemQuantityChanged);
	end
end

function ItemStat:WindowPopUp(s,a)
	-- TODO Fix a proper popup mechanic
	echo(self.name);
end

function ItemStat:Cleanup()
	RemoveCallback(self.item,"QuantityChanged",self.ItemQuantityChanged);
	RemoveCallback(self.itemImage,"MouseEnter",self.WindowPopUp);
end