
Wallet = class(Turbine.Object);
function Wallet:Constructor(wallet,optionsObj)
	Turbine.Object.Constructor( self );
	self.optionsObj = optionsObj;
	self.playerWallet = wallet;
	self.items = {};
	self:LoadWallet();
end

function Wallet:GetFoundItems()
	return self.items;
end

function Wallet:GetLOTROWallet()
	return self.playerWallet;
end

function Wallet:LoadWallet()	
	local walletSize = self.playerWallet:GetSize();
	self.size = walletSize;
	for f=1, walletSize do
		local walletItem = self.playerWallet:GetItem(f);
		local name = walletItem:GetName();
		local ico = walletItem:GetSmallImage();
		self.optionsObj.seenWalletItems[name] = ico;
		self.items[name]= VWalletItem(name, walletItem:GetQuantity(), ico);	
	end
	
	for k,v in pairs(self.optionsObj.seenWalletItems) do
		if self.items[k] == nil then
			self.items[k] = VWalletItem(name,0,v);
		end
	end
end	

VWalletItem = class(Turbine.Object);
function VWalletItem:Constructor(name,quantity,ico)
	Turbine.Object.Constructor(self);
	self.name = name;
	if quantity == nil then quantity = 0; end
	self.quantity = quantity;
	self.ico = ico;
end

function VWalletItem:GetName()
	return self.name;
end

function VWalletItem:GetQuantity()
	return self.quantity;
end

function VWalletItem:GetSmallImage()
	return self.ico;
end
